The version-numbering of these JRE's is crazy. Is version 1.6 the same as 6? So I've downloaded jre-6u23-windows-i586.exe and when I try to run it, it causes a page fault and craps out. I can unpack it using 7-zip, but I'm not sure what to do with the contents (just move them around over-top my existing install of JRE 5 update 22?). Or do I have to set a certain KernelEx compatibility setting for jre-6u23-windows-i586.exe before I run it? (I'm trying to get Jdownloader to run under win-98, and it sort-of does with JRE 5 update 22, but they say it really needs JRE 6).